Page MenuHomePhabricator

Lets not have "Delete" option enabled when the only item inside Transclusion Dialog is "Add template" , as that cannot be deleted
Closed, ResolvedPublic8 Story Points

Description

Recently we tweaked the behavior inside the tranclusion dialog in a way that user wont get stranded by deleting everything inside the dialog.It will always have the "Add a template" textbox prompted.(https://phabricator.wikimedia.org/T52281)
Now we still have the trash icon on both the left and right panel enabled, clicking on which does nothing, as you cannot empty the dialog.
So can we just disable the Trash button here?

Details

Related Gerrit Patches:

Event Timeline

Ryasmeen created this task.Apr 7 2015, 12:01 AM
Ryasmeen raised the priority of this task from to Needs Triage.
Ryasmeen updated the task description. (Show Details)
Ryasmeen added a project: VisualEditor.
Ryasmeen added a subscriber: Ryasmeen.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 7 2015, 12:01 AM
Ryasmeen updated the task description. (Show Details)Apr 7 2015, 12:02 AM
Ryasmeen set Security to None.

Also trash icon is red on the right side panel and black on the left side

Krenair claimed this task.Jul 25 2015, 1:46 PM

Change 226975 had a related patch set uploaded (by Alex Monk):
Stop removal of only template placeholder from transclusion

https://gerrit.wikimedia.org/r/226975

Jdforrester-WMF triaged this task as Low priority.Jul 30 2015, 5:33 PM
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.
Jdforrester-WMF closed this task as Resolved.Jul 31 2015, 9:57 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF edited a custom field.

Change 226975 merged by jenkins-bot:
Stop removal of only template placeholder from transclusion

https://gerrit.wikimedia.org/r/226975

Ryasmeen reopened this task as Open.Aug 6 2015, 5:57 AM

We still have the red trash icon on the right panel, do we want it like this?

Change 230814 had a related patch set uploaded (by Alex Monk):
Template placeholder: Don't show delete button if we're the only transclusion part

https://gerrit.wikimedia.org/r/230814

Change 230814 merged by jenkins-bot:
Template placeholder: Don't show delete button if we're the only transclusion part

https://gerrit.wikimedia.org/r/230814

Krenair closed this task as Resolved.Sep 21 2015, 5:33 PM